%define name PCLinuxOS-fix-screen
%define version 3
%define release %mkrel 2
%define url www.pclinuxos.com/forum

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Base
URL:		%{url}
Source:		%{name}-%{version}.tar.xz
Summary:	Simple fix for your monitor screen resolution
Summary(de):	Einfaches beheben der Bildschirm Auflösung
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch: 	noarch
BuildRequires:	bash gtkdialog xrandr
Requires:	bash gtkdialog xrandr
Obsoletes:	%name < %version

%description
Simple fix for your monitor screen resolution.
It is a simple tool based on xrandr to find out your correct 
screen resolution.

On some Notebook and Desktop screens the resolution isn't 
displayed correctly. So there is a need to correct this in 
a simple way.

#german
%description -l de
Einfaches beheben der Bildschirm Auflösung.
Ein einfaches Werkzeug basierend auf xrandr zum ermitteln der
korrekten Bildschirmauflösung.

Bei einigen Notebook und Desktop Bildschirme wird die Auflösung 
nicht richtig erkannt und so wird versucht es auf einfache Art 
und Weise zu korrigieren.

%prep

%setup -q


%install
rm -rf $RPM_BUILD_ROOT

install -d -m 755 $RPM_BUILD_ROOT%{_bindir}
install -m 755 pclos-fix-screen $RPM_BUILD_ROOT%{_bindir}
install -d -m 755 $RPM_BUILD_ROOT%{_sbindir}
install -m 755 cvt_read.sh $RPM_BUILD_ROOT%{_sbindir}
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/pclinuxos-fix-screen
install -m 755 pclinuxos-fix-screen progress-fix-screen $RPM_BUILD_ROOT%{_datadir}/pclinuxos-fix-screen/
install -d -m 0755 %buildroot%_datadir/icons
install -m 0644 fix-screen.png %buildroot%_datadir/icons/fix-screen.png

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/pclinuxos-fix-screen.desktop << EOF
[Desktop Entry]
Name=Fix Screen Resolution
Name[de]=Bildschirmauflösung fixen
Comment=Simple fix for your monitor screen resolution
Comment[de]=Einfaches beheben der Bildschirm Auflösung
Exec=%{_bindir}/pclos-fix-screen
Icon=fix-screen
Terminal=false
Type=Application
Categories=Application;X-MandrivaLinux-System-Configuration-Hardware
Encoding=UTF-8
EOF

# i18n - Internationalization - Internationalisierung
mkdir -p %{buildroot}%{_datadir}/locale/de/LC_MESSAGES
msgfmt -o  %{buildroot}%{_datadir}/locale/de/LC_MESSAGES/pclinuxos-fix-screen.mo $RPM_BUILD_DIR/%{name}-%{version}/languages/pclinuxos-fix-screen-de_DE.po


%files
%defattr(-,root,root)
%{_bindir}/pclos-fix-screen
%{_sbindir}/cvt_read.sh
%{_datadir}/pclinuxos-fix-screen/*
%{_datadir}/icons/fix-screen.png
%{_datadir}/applications/pclinuxos-fix-screen.desktop
%{_datadir}/locale/de/LC_MESSAGES/pclinuxos-fix-screen.mo
%doc ChangeLog COPYING ReadMe


%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%changelog
* Wed Jul 17 2013 pinoc <vogtpet at gmail.com> 3-2pclos2013
- set to noarch

* Sun Dec 02 2012 daniel <meisssw01 at gmail.com> 3-1leiche2012
- rewrite gui of request from sling-shot

* Sat Nov 17 2012 daniel <meisssw01 at gmail.com> 2-3leiche2012
- fixed some typos 
- changed checking of screen resolution

* Wed Nov 14 2012 daniel <meisssw01 at gmail.com> 2-2leiche2012
- fix output dialog by same screen-resolution
- fix bug by saving resolution

* Tue Nov 13 2012 daniel <meisssw01 at gmail.com> 2-1leiche2012
- rewrite gui for more handling
- fix some bugd
- add countdown to reset screen resolution

* Sun Nov 11 2012 daniel <meisssw01 at gmail.com> 1-5leiche2012
- add german language

* Sat Nov 10 2012 daniel <meisssw01 at gmail.com> 1-3leiche2012
- initial package 1-1
- changed save option 1-2
- add dirct output if screen resolution true 1-3
  so is not longer required to restart xserver. 
+ add icon, and desktop file  
- add check for esist PreferredMode in xoeg.conf 1-4
  is true remove this line